%define name perl-Parse-RecDescent
%define real_name Parse-RecDescent
%define version 1.94
%define release 5mdk

Summary:	A recursive descent parser generator for Perl
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Parse/%{real_name}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{real_name}/
BuildRequires:	perl-devel
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root
Requires:	perl

%description
The Parse::RecDescent perl module is used to generate recursive descent
parsers from powerful grammar specifications.

%prep
%setup -q -n %{real_name}-%{version}
%{__perl} -p -i -e 's|#!.*/usr/local/bin/perl|#!/usr/bin/perl|' `find . -name '*.pl'`
find -type f | xargs chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# now in perl
rm -f $RPM_BUILD_ROOT%{_mandir}/*/Text*

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes tutorial/*
%{_mandir}/*/*
%{perl_vendorlib}/Parse

%changelog
* Mon Oct 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.94-5mdk
- Rebuild, fix permissions, change summary

* Mon Aug 09 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.94-4mdk
- Rebuild for new perl
- Fix description
- Include tutorial

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.94-3mdk
- rebuild for new perl
- drop Prefix tag
- drop $RPM_OPT_FLAGS, noarch..
- don't use PREFIX
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.94-2mdk
- rebuild for new auto{prov,req}

* Fri Apr 18 2003 Franois Pons <fpons@mandrakesoft.com> 1.94-1mdk
- 1.94.

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.80-6mdk
- rebuild for perl 5.8.0
- remove Text::Balanced which is included in perl

* Tue Jul  9 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.80-5mdk
- Use perl_sitelib, perl_man3dir

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.80-4mdk
- build release.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.80-3mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.80-2mdk
- Rebuild against the latest perl.

* Wed Jan 31 2001 Franois Pons <fpons@mandrakesoft.com> 1.80-1mdk
- 1.80.

* Tue Nov 14 2000 Franois Pons <fpons@mandrakesoft.com> 1.79-2mdk
- fixed description.

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.79-1mdk
- 1.79.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.78-4mdk
- macroszifications.
- noarch.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.78-3mdk
- removed perllocal.pod file.

* Sun Jul 09 2000 David BAUDENS <baudens@mandrakesoft.com> 1.78-2mdk
- Fix build
- Rename spec according to package's name & little spec cleanup
- Remove french description & summary (in po)

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.78-1mdk
- 1.78
- fixed group
- rebuild with new perl
- fixed location
- better patch for annoying /usr/local/bin/perl's

* Tue Nov 23 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 1.77
- Build release.

* Tue Oct 19 1999 Franois PONS <fpons@mandrakesoft.com>
- upgraded to version 1.70

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix bogus spec

* Tue Jul 22 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add french description
- write a real english description

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source
- Mandrake adaptation
